/******************************************************************************
 *executeScriptSampleプラグイン
 *sample_background.js
 *
 *
 ******************************************************************************/
//リスナーを登録すると、以後は、アクションがあるごとにこの処理を実行
//引数は、targetとfilesのオブジェクト
chrome.action.onClicked.addListener(
async (tab) => {
console.log("これは、executeScriptSampleプラグインです。");
//
chrome.scripting.executeScript({
     target: {tabId: tab.id, frameIds: [0]},

     files: ["jquery.js","jquery-ui.js"]
 }).then(() => {
     /*******************************************************************
      *executeScript()を起動します。
      *  
      *******************************************************************/
     console.log("■■■executeScript()を起動します。　" + 0);
     //ここでもexecuteScript()を出す
     try {
         chrome.scripting.executeScript({
             //ターゲットのフレームIdのDOMへアクセス  
             target: {tabId: tab.id, frameIds: [0]},
             args: [],
             //実際に実行するexcuteScriptコード
             //ここで、タイトル他をsaveTitle[]に保存するsaveTitleメッセージを
             //background.jsへ送信
             func: () => {
                    console.log("executeScript Test: "+document.title+"  ");
                    if ($("#pop").length === 0) {
                        let html = "";
                        html += "<div id='pop' style='z-index:9999;padding:13px;overflow:scroll;background-color:lightpink;position:fixed;top:0%;left:50%;width:450px;height:200px;'>\n\
                        <span style='zoom:1.2;display:block;background-color:lightgreen;'>pop画面(executeScriptSampleプラグイン)</span>\n\
                        <button id='reset' style='position:absolute;top:15%;left:79%;zoom:1.1;float:left;'>リセット</button>\n\
                        <div id='mess' style='position:relative;top:5%;'></div>\n\
                        </div>";
                        $("body").append(html);
                        $("#pop").draggable();
                        $("#mess").html("executeScriptで実行<br>拡張機能ボタンがクリックされました。pop画面を追加しました。<br>ページタイトル:<br><span style='color:blue;font-weight:bold;'>"+document.title+"</span>");

                    }else{          
                        $("#mess").html("executeScriptで実行<br>拡張機能ボタンがクリックされました。pop画面がすでにあります。<br>ページタイトル:<br><span style='color:blue;font-weight:bold;'>"+document.title+"</span>");


                    }
                     $("#mess").css("display","block");
                    //
                    //ここで、登録は? セレクターが存在すること。
                    //
                    $("#reset").off('click');
                    $("#reset").on('click',()=>{
                        //alert("executeScript()で定義したリスナーを実行");
                        $("#mess").css("display","none");
                        $("#reset").off('click');
                        return false;
                        
                    });
                    
                    

}       //end func() executeScript()
});         //end executeScript()

}
catch (e) {

}
});


}        
);
